Yandex Cloud
Documentation
PresentationContact UsTry it for free
© 2026 Direct Cursus Technology L.L.C.
Yandex StoreDoc
  • Getting started
  • Access management
  • Inspections and recommendations
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Database
  1. API reference
  2. REST
  3. Database
  4. List

Managed Service for MongoDB API, REST: Database.List

Written by
Yandex Cloud
Updated at October 7, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • Database

Retrieves the list of StoreDoc Database resources in the specified cluster.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-mongodb/v1/clusters/{clusterId}/databases

Path parametersPath parameters

Field

Description

clusterId

string

Required field. ID of the StoreDoc cluster to list databases in.
To get the cluster ID, use a ClusterService.List request.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than pageSize, the service returns a ListDatabasesResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.

Acceptable values are 0 to 1000, inclusive.

pageToken

string

Page token. To get the next page of results, set pageToken to the
ListDatabasesResponse.nextPageToken returned by the previous list request.

The maximum string length in characters is 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "databases": [
    {
      "name": "string",
      "clusterId": "string",
      "deletionProtection": "boolean"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

databases[]

Database

List of StoreDoc databases.

nextPageToken

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListDatabasesRequest.pageSize, use the nextPageToken as the value
for the ListDatabasesRequest.pageToken parameter in the next list request. Each subsequent
list request will have its own nextPageToken to continue paging through the results.

DatabaseDatabase

A StoreDoc Database resource. For more information, see the
Developer's Guide.

Field

Description

name

string

Name of the database.

clusterId

string

ID of the StoreDoc cluster that the database belongs to.

deletionProtection

boolean

Deletion Protection inhibits deletion of the database.

Was the article helpful?

Previous
Get
Next
Create
© 2026 Direct Cursus Technology L.L.C.